Skip to main content
`Ctrl`+`K`

# imageio.plugins.pyav.PyAVPlugin.metadata

PyAVPlugin.metadata(index: int = Ellipsis, exclude_applied: bool = True, constant_framerate: bool = None) → Dict[str, Any]

  Format-specific metadata.

  Returns a dictionary filled with metadata that is either stored in the container, the video stream, or the frame’s side-data.

  Parameters:
    index int

      If … (Ellipsis, default) return global metadata (the metadata stored in the container and video stream). If not …, return the side data stored in the frame at the given index.

    exclude_applied bool

      Currently, this parameter has no effect. It exists for compliance with the ImageIO v3 API.

    constant_framerate bool

      If True assume the video’s framerate is constant. This allows for faster seeking inside the file. If False, the video is reset before each read and searched from the beginning. If None (default), this value will be read from the container format.

  Returns:
    metadata dict

      A dictionary filled with format-specific metadata fields and their values.